Package org.gradle.ide.visualstudio

# Interface VisualStudioRootExtension

All Superinterfaces:
  `VisualStudioExtension`

public interface VisualStudioRootExtension extends VisualStudioExtension
The configuration for mapping a set of native components to a Visual Studio project and solution.

Since:
  4.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VisualStudioSolution`
  `getSolution()`
  Returns the generated `VisualStudioSolution` for this build.
  `void`
  `solution(Action<? super VisualStudioSolution> configAction)`
  Configures the generated `VisualStudioSolution` for this build.

  ### Methods inherited from interface org.gradle.ide.visualstudio.VisualStudioExtension

  `getProjects`

- ## Method Details

  - ### getSolution

    VisualStudioSolution getSolution()
    Returns the generated `VisualStudioSolution` for this build.

  - ### solution

    void solution(Action<? super VisualStudioSolution> configAction)
    Configures the generated `VisualStudioSolution` for this build.